<?php
if ( ot_get_option( 'enable_main_top_sidebar', 'off' ) == 'on' ) {
	$main_top_sidebar = leap_override_widget_position( 'main_top_sidebar', 'leap_main_top_sidebar' );
	if ( $main_top_sidebar != 'none' ) {

		$main_top_sidebar	 = explode( '-', $main_top_sidebar );
		$col_count			 = count( $main_top_sidebar );

		$active_sidebar = array();
		for ( $i = 1; $i <= $col_count; $i++ ) {
			$replacement_sidebar = leap_get_replacement_sidebar( 'main-top' . $i );
			$active_sidebar[]	 = is_active_sidebar( $replacement_sidebar );
			unset( $replacement_sidebar );
		}

		if ( in_array( 1, $active_sidebar ) ) {
			$sidebar_id			 = leap_get_current_sidebar_style();
			$main_top_parallax	 = leap_get_sidebar_option_with_default( 'leap_maintop_sidebar_parallax_background_image', $sidebar_id );
			?>
			<div id="main-top-sidebar" <?php echo ($main_top_parallax == 'on' ? 'class="leap-parallax"' : '') ?>>
				<div class="<?php echo apply_filters( 'leap_container_class', 'container-fluid' ); ?>">
					<div class="row">
						<?php
						for ( $i = 1; $i <= $col_count; $i++ ) {
							echo '<div class="' . leap_bws_col_class( $main_top_sidebar[ $i - 1 ] ) . '" >';
							leap_dynamic_sidebar( 'main-top' . $i );
							echo '</div>';
						}
						?>
					</div>
				</div>
			</div>
			<?php
		}
	}
}